/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { GeographicMapSeriesHostDescription } from "./GeographicMapSeriesHostDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var GeographicXYTriangulatingSeriesDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(GeographicXYTriangulatingSeriesDescription, _super);
    function GeographicXYTriangulatingSeriesDescription() {
        var _this = _super.call(this) || this;
        _this.ea = null;
        _this.d9 = null;
        _this.eb = null;
        _this.ec = null;
        _this.ed = null;
        _this.ee = null;
        return _this;
    }
    GeographicXYTriangulatingSeriesDescription.prototype.get_type = function () {
        return "GeographicXYTriangulatingSeries";
    };
    Object.defineProperty(GeographicXYTriangulatingSeriesDescription.prototype, "longitudeMemberPath", {
        get: function () {
            return this.ea;
        },
        set: function (a) {
            this.ea = a;
            this.g("LongitudeMemberPath");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicXYTriangulatingSeriesDescription.prototype, "latitudeMemberPath", {
        get: function () {
            return this.d9;
        },
        set: function (a) {
            this.d9 = a;
            this.g("LatitudeMemberPath");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicXYTriangulatingSeriesDescription.prototype, "trianglesSourceRef", {
        get: function () {
            return this.eb;
        },
        set: function (a) {
            this.eb = a;
            this.g("TrianglesSourceRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicXYTriangulatingSeriesDescription.prototype, "triangleVertexMemberPath1", {
        get: function () {
            return this.ec;
        },
        set: function (a) {
            this.ec = a;
            this.g("TriangleVertexMemberPath1");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicXYTriangulatingSeriesDescription.prototype, "triangleVertexMemberPath2", {
        get: function () {
            return this.ed;
        },
        set: function (a) {
            this.ed = a;
            this.g("TriangleVertexMemberPath2");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicXYTriangulatingSeriesDescription.prototype, "triangleVertexMemberPath3", {
        get: function () {
            return this.ee;
        },
        set: function (a) {
            this.ee = a;
            this.g("TriangleVertexMemberPath3");
        },
        enumerable: false,
        configurable: true
    });
    GeographicXYTriangulatingSeriesDescription.$t = markType(GeographicXYTriangulatingSeriesDescription, 'GeographicXYTriangulatingSeriesDescription', GeographicMapSeriesHostDescription.$);
    return GeographicXYTriangulatingSeriesDescription;
}(GeographicMapSeriesHostDescription));
export { GeographicXYTriangulatingSeriesDescription };
